## org.exist.xmldb.test.concurrent.action
Class Action

    java.lang.Object
      org.exist.xmldb.test.concurrent.action.Action

Direct Known Subclasses:
  ComplexUpdateAction, CreateCollectionAction, MultiResourcesAction, RemoveAppendAction, ReplaceResourceAction, RetrieveResourceAction, TextUpdateAction, ValueAppendAction, XQueryAction, XQueryUpdateAction

public abstract class Action
extends java.lang.Object

Abstract base class for an action to be tested.

Author:
  wolf

Constructor Summary
`Action(java.lang.String collectionPath, java.lang.String resourceName)`

Method Summary
`abstract boolean` `execute()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Action

    public Action(java.lang.String collectionPath,
                  java.lang.String resourceName)

Method Detail

### execute

    public abstract boolean execute()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.